<template>
  <div>
    <div class="approach-bg"></div>
    <section class="container" style="display:flex;justify-content:flex-start;">
        <div class="container-half approach-half">
          <div class="row">
            <div class="half-full--wrap">
              <h3>APPROACH</h3>
              <p class="subtitle">
                Transporting by air or ground, approach is faily easy. 
                Use the directions below or contact airport personel to clarify more specific information that might be needed

              </p>
              <button class=" air-appr" v-bind:class="{ active: !togglemap }" @click="togglemap = false">AIR APPROACH</button>
                <button class=" ground-appr" v-bind:class="{ active: togglemap }" @click="togglemap = true" >GROUND APPROACH</button>
              <div id="cardAir" v-if="!togglemap"  class="card-directions">
                <div class="card-map">
                  <iframe id="inlineFrameExample"
                    title="Inline Frame Example"
                    width="300"
                    height="200"
                    src="https://maps.openaip.net/?lat=38.3562962&lon=21.4749011&destination=https://www.openaip.net/node/153339">
                </iframe>
                </div>
                <div class="card-body">
                  <div class="row">
                    <p class="mini-title">runway</p>
                    <p class="mini-text">800m</p>
                    <p class="mini-title">frequencies</p>
                    <p class="mini-text">115,3 mhz</p>
                  </div>
                  <div class="row">
                    
                  </div>
                    
                  
                  <!-- <div class="row">
                    <p class="mini-title">runway</p>
                    <p>Sala</p>
                  </div> -->

                  
                </div>
              </div>
              <div id="cardGround" v-if="togglemap" class="card-directions">
                <div class="card-map">
                  <!--The div element for the map -->
                  <GmapMap :center="{lat:10, lng:10}"
                    :zoom="7"
                    map-type-id="terrain"
                    style="width: 100%; height: 200px;">

                    </GmapMap>
                </div>
                <div class="card-body">
                  <div class="row">
                    <p class="mini-title">ground</p>
                    <p class="mini-text">800m</p>
                    <p class="mini-title">frequencies</p>
                    <p class="mini-text">115,3 mhz</p>
                  </div>
                  <div class="row">
                    
                  </div>
                    
                  
                  <!-- <div class="row">
                    <p class="mini-title">runway</p>
                    <p>Sala</p>
                  </div> -->

                  
                </div>
              </div>
            </div>
            
          </div>
        </div>
    </section>
  </div>
</template>

<script>
export default {
 data: () => ({
            togglemap: false,
        })
        
  }

</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>

</style>
